> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/health/v1.5/setup/configuration/ui-configuration/dashboard-configuration/hcm-dashboard-master-promotion-guide.md).

# HCM Dashboard Master Promotion Guide

## Overview

This document is a step-by-step promotion guide to setup/promote the Health Campaign Management (HCM) Dashboard to higher environments. The guide can be used by implementation teams and other external teams to set up the product.

## Release Notes

<table><thead><tr><th width="183.33333333333331">Version</th><th>Date</th><th>Description</th></tr></thead><tbody><tr><td>1.0</td><td>10/05/2023</td><td>This version covers the HCM Dashboard promotion guide.</td></tr></tbody></table>

## Release Features

List of core digit services used:

* The HCM Dashboard consumes the same core services that are used by HCM Platform services.
* Refer to this [document](https://health.digit.org/products/health-campaign-management/frontline-workers-app/configuration/hcm-master-promotion-guide#release-features-list-of-core-digit-services-used) for the list of core services to be deployed for the HCM dashboard.

## Service enhancements for HCM Dashboard

The following image of the Dashboard analytics service is required for the HCM dashboard:

| Service                     | Tag                                                | Description                                                                                            |
| --------------------------- | -------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| Dashboard analytics service | dashboard-analytics:dashboard-v1.1.0-2ad7482dbd-32 | The core dashboard analytics service with specific enhancements have been added for the HCM Dashboard. |

## Promotion guide

This section will detail the promotion guide steps for the HCM Dashboard.

Tags created for the release artefacts:

| Artefact                       | Tag              | URL                                                                                                                                                                                                  |
| ------------------------------ | ---------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Dashboard chart configurations | dashboard-v1.1.0 | <p><a href="https://github.com/egovernments/health-campaign-config/releases/tag/dashboard-v1.1.0"><https://github.com/egovernments/health-campaign-config/releases/tag/dashboard-v1.1.0><br></a></p> |
| Dashboard analytics service    | dashboard-v1.1.0 | <https://github.com/egovernments/health-campaign-services/releases/tag/dashboard-v1.1.0>                                                                                                             |
| MDMS                           | dashboard-v1.1.0 | <https://github.com/egovernments/health-campaign-mdms/releases/tag/dashboard-v1.1.0>                                                                                                                 |
| DIGIT UI                       | HCM-v1.5         | <https://github.com/egovernments/DIGIT-Dev/releases/tag/HCM-v1.5>                                                                                                                                    |

### Backend and configuration promotion guide

Refer to this [document](https://health.digit.org/products/health-campaign-management/frontline-workers-app/configuration/hcm-master-promotion-guide) to promote the backend services and configurations.

### UI promotion guide

<table><thead><tr><th width="184.33333333333331">Artefact</th><th>Image</th><th>Description</th></tr></thead><tbody><tr><td>DIGIT UI</td><td>digit-ui:health_v1.1.0-91a6f61fc1-375</td><td>DIGIT micro UI with enhancements specific for the health Dashboard.</td></tr></tbody></table>

* The HCM Dashboard includes UI enhancements that are part of the image mentioned above. The stylesheet and the global config used by the UI are as follows:
* Stylesheet: <https://unpkg.com/@egovernments/digit-ui-css@0.1.0/dist/index.css>
* Global config: <https://egov-health-demo-assets.s3.ap-south-1.amazonaws.com/globalConfigs.js>&#x20;
* Deploying the above image to the target environment will include the HCM dashboard for eligible users.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/health/v1.5/setup/configuration/ui-configuration/dashboard-configuration/hcm-dashboard-master-promotion-guide.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
